Skip to main content
GET
Retrieve Orders based on Jobs for the current Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

filter[job][states]
array

Job states

filter[job][start_date]
string

Start date range for Job.job_start_at

filter[job][end_date]
string

End date range for Job.job_start_at

filter[job][customer_account_ids]
array

The associated Customer Account IDs for the Job

filter[job][vendor_account_ids]
array

The associated Vendor Account IDs for the Job

filter[job][driver_ids]
array

The assigned Driver IDs for the Job

filter[job][pickup_site_ids]
array

The associated Pickup Site IDs for the Job

filter[job][dropoff_site_ids]
array

The associated Dropoff Site IDs for the Job

filter[job][equipment_ids]
array

The associated Equipment IDs for the Job

filter[job][material_ids]
array

The associated Material IDs for the Job

filter[job][project_ids]
array

The associated Project IDs for the Job

filter[job][service_ids]
array

The associated Service IDs for the Job

filter[equipment_type_ids]
array

The associated EquipmentType IDs

filter[states]
array

States based on the resource (e.g. Order states or Job states)

search[job][datagrid]
string

Search string for datagrid queries

filter[dispatch_number_ids]
array

The associated DispatchNumber IDs

filter[job][external_ids]
array

The associated External Project IDs for the Job

filter[job][company_ids]
array

The associated Company IDs for the Job

filter[requester_ids]
array

The associated Requester IDs

filter[job][site_types]
array

SiteType enum filters for the Job (see SiteType enum for the list of values)

filter[job][foreman_ids]
array

The associated Foreman IDs for the Job

filter[job][collaborator_ids]
array

The associated Collaborator IDs for the Job

filter[job][salesperson_ids]
array

The associated Salesperson IDs for the Job

filter[department_ids]
array

The associated Department IDs. Use 'none' to filter for records without a Department.

sort[created_at]
string

Sort by Created At timestamp asc or desc

sort[load_at]
string

Sort by Load At timestamp asc or desc

sort[friendly_order_id]
string

Sort by Friendly Order ID asc or desc

sort[dispatch_number][name]
string

Sort by DispatchNumber name asc or desc

sort[account][name]
string

Sort by the associated Account's Name asc or desc

Sort by the associated Company's Legal Name asc or desc

Response

OK

data
Order-Read · object[]
required